/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing UserDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class UserDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for UserDto
        //private UserDto instance;

        public UserDtoTests()
        {
            // TODO uncomment below to create an instance of UserDto
            //instance = new UserDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of UserDto
        /// </summary>
        [Fact]
        public void UserDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" UserDto
            //Assert.IsType<UserDto>(instance);
        }

        /// <summary>
        /// Test the property 'Id'
        /// </summary>
        [Fact]
        public void IdTest()
        {
            // TODO unit test for the property 'Id'
        }

        /// <summary>
        /// Test the property 'DisplayName'
        /// </summary>
        [Fact]
        public void DisplayNameTest()
        {
            // TODO unit test for the property 'DisplayName'
        }

        /// <summary>
        /// Test the property 'GivenName'
        /// </summary>
        [Fact]
        public void GivenNameTest()
        {
            // TODO unit test for the property 'GivenName'
        }

        /// <summary>
        /// Test the property 'FamilyName'
        /// </summary>
        [Fact]
        public void FamilyNameTest()
        {
            // TODO unit test for the property 'FamilyName'
        }

        /// <summary>
        /// Test the property 'Emails'
        /// </summary>
        [Fact]
        public void EmailsTest()
        {
            // TODO unit test for the property 'Emails'
        }

        /// <summary>
        /// Test the property 'Title'
        /// </summary>
        [Fact]
        public void TitleTest()
        {
            // TODO unit test for the property 'Title'
        }

        /// <summary>
        /// Test the property 'Language'
        /// </summary>
        [Fact]
        public void LanguageTest()
        {
            // TODO unit test for the property 'Language'
        }

        /// <summary>
        /// Test the property 'AreToSAccepted'
        /// </summary>
        [Fact]
        public void AreToSAcceptedTest()
        {
            // TODO unit test for the property 'AreToSAccepted'
        }

        /// <summary>
        /// Test the property 'LatestActivity'
        /// </summary>
        [Fact]
        public void LatestActivityTest()
        {
            // TODO unit test for the property 'LatestActivity'
        }

        /// <summary>
        /// Test the property 'Disciplines'
        /// </summary>
        [Fact]
        public void DisciplinesTest()
        {
            // TODO unit test for the property 'Disciplines'
        }

        /// <summary>
        /// Test the property 'Organizations'
        /// </summary>
        [Fact]
        public void OrganizationsTest()
        {
            // TODO unit test for the property 'Organizations'
        }

        /// <summary>
        /// Test the property 'Identities'
        /// </summary>
        [Fact]
        public void IdentitiesTest()
        {
            // TODO unit test for the property 'Identities'
        }
    }
}
